i need a whole new operating system,i have an imac osx 10.5.8 which should i purchase?

Back To Product

Follow this Question

1 Answer from the Community

  • Best Answer:

    Provided your hardware meets the minimum system requirements, you must purchase 10.6 before you can install 10.7. You can not skip 10.6 to install 10.7.

    10.6 (Snow Leopard) requires any intel based mac with 1 gb of memory,

    10.7 (Lion) requires a mac with an Intel Core 2 Duo, Core i3, Core i5, Core i7, or Xeon processor processor and 2gb of memory. OS 10.6.6 or above must already be installed.

    Was this useful? Answer 1

    21 of 23 people found this useful

Related Questions